petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscEventRegLogGetEvent

This function returns the event id given the event name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscEventRegLogGetEvent(PetscEventRegLog eventLog,const char name[],PetscLogEvent *event)

Not Collective

### Input Parameters

| eventLog | - The PetscEventRegLog
| name | - The stage name

### Output Parameter

event -The event id, or -1 if not found

### Keywords

log, stage

### See Also

PetscEventRegLogRegister()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages